Bio::SeqFeature::SiRNA::Pair(3)

NAME
Bio::SeqFeature::SiRNA::Pair - Perl object for small inhibitory RNA (SiRNA) oligo pairs

SYNOPSIS
  use Bio::SeqFeature::SiRNA::Pair;
  my $pair = Bio::SeqFeature::SiRNA::Pair->
      new( -sense       => $bio_seqfeature_sirna_oligo, # strand=1
           -antisense   => $bio_seqfeature_sirna_oligo, # strand= -1
           -primary     => 'SiRNA::Pair',
           -source_tag  => 'Bio::Tools::SiRNA',
           -start       => 8,
           -end         => 31,
           -rank        => 1,
           -fxgc        => 0.5,
           -tag         => { note => 'a note' } );

  $target_sequence->add_SeqFeature($pair);

DESCRIPTION
Object methods for (complementary) pairs of Bio::SeqFeature::SiRNA::Oligo objects - inherits Bio::SeqFeature::Generic. See that package for information on inherited methods.

Does not include methods for designing SiRNAs -- see Bio::Tools::SiRNA

SEE ALSO
Bio::SeqFeature::Oligo, Bio::Tools::SiRNA.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.open-bio.org/

AUTHOR
Donald Jackson (donald.jackson@bms.com)

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

METHODS

  new
  Title         : new
  Usage         : my $sirna_pair = Bio::SeqFeature::SiRNA::Pair->new();
  Purpose       : Create a new SiRNA::Pair object
  Returns       : Bio::Tools::SiRNA object
  Args          : -start        10
                  -end          31
                  -rank         1 #  'Rank' in Tuschl group's rules
                  -fxgc         0.5 # GC fraction for target sequence
                  -primary      'SiRNA::Pair', # default value
                  -source_tag   'Bio::Tools::SiRNA'
                  -tag          { note => 'A note' }
                  -sense        a Bio::SeqFeature::SiRNA::Oligo object
                                with strand = 1
                  -antisense    a Bio::SeqFeature::SiRNA::Oligo object
                                with strand = -1
);

  Note          : SiRNA::Pair objects are typically created by a design
                  algorithm such as Bio::Tools::SiRNA

  rank
  Title         : rank
  Usage         : my $pair_rank = $sirna_pair->rank()
  Purpose       : Get/set the 'quality rank' for this pair.
                  See Bio::Tools::SiRNA for a description of ranks.
  Returns       : scalar
  Args          : scalar (optional) indicating pair rank

  fxGC
  Title         : fxGC
  Usage         : my $fxGC = $sirna_pair->fxGC();
  Purpose       : Get/set the fraction of GC for this pair - based on TARGET sequence, not oligos.
  Returns       : scalar between 0-1
  Args          : scalar between 0-1 (optional)

  sense
  Title         : sense
  Usage         : my $sense_oligo = $sirna_pair->sense()
  Purpose       : Get/set the SiRNA::Oligo object corresponding to the sense strand
  Returns       : Bio::SeqFeature::SiRNA::Oligo object
  Args          : Bio::SeqFeature::SiRNA::Oligo object

  antisense
  Title         : antisense
  Usage         : my $antisense_oligo = $sirna_pair->antisense()
  Purpose       : Get/set the SiRNA::Oligo object corresponding to the antisense strand
  Returns       : Bio::SeqFeature::SiRNA::Oligo object
  Args          : Bio::SeqFeature::SiRNA::Oligo object